Source: haskell-hierarchical-clustering
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Joachim Breitner <nomeata@debian.org>
Priority: optional
Section: haskell
Rules-Requires-Root: no
Build-Depends: debhelper (>= 10),
 haskell-devscripts (>= 0.13),
 cdbs,
 ghc (>= 8.0),
 ghc-prof,
Build-Depends-Indep: ghc-doc,
Standards-Version: 4.5.0
Homepage: https://hackage.haskell.org/package/hierarchical-clustering
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-hierarchical-clustering
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-hierarchical-clustering]
X-Description: fast algorithms for single, average/UPGMA and complete linkage clustering
 This package provides a function to create a dendrogram from a
 list of items and a distance function between them.  Initially
 a singleton cluster is created for each item, and then new,
 bigger clusters are created by merging the two clusters with
 least distance between them.  The distance between two clusters
 is calculated according to the linkage type.  The dendrogram
 represents not only the clusters but also the order on which
 they were created.
 .
 This package has many implementations with different
 performance characteristics.  There are SLINK and CLINK
 algorithm implementations that are optimal in both space and
 time.  There are also naive implementations using a distance
 matrix.  Using the dendrogram function from
 Data.Clustering.Hierarchical automatically chooses the best
 implementation we have.

Package: libghc-hierarchical-clustering-dev
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-hierarchical-clustering-prof
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-hierarchical-clustering-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}
